<div class="container">
    <app-post-creating [buttonClass] = "buttonDefaultClass" [buttonTitle]='buttonDefaultTitle'></app-post-creating>
    <div class="row">
        <table class="table">
            <thead>
                <tr>
                    <th scope="col" class="row">#</th>
                    <th scope="col">Name</th>
                    <th scope="col">Description</th>
                    <th scope="col">Category</th>
                    <th scope="col">Status</th>
                    <th scope="col">uid</th>
                    <th scope="col">Edit</th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let post of postObj, index as i">
                    <th class="row">{{i+1}}</th>
                    <td>{{post.name}}</td>
                    <td>{{post.description}}</td>
                    <td>{{post.category}}</td>
                    <td *ngIf="post.draft;">Draft</td>
                    <td *ngIf="post.deleted">Deleted</td>
                    <td *ngIf="!post.deleted && !post.draft">Published</td>
                    <td></td>
                    <td><app-post-creating [editPostData] = 'post' [buttonClass] = 'buttonEditClass' [buttonTitle]='buttonEditTitle'></app-post-creating></td>
                </tr>
            </tbody>

        </table>
    </div>
</div>